#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           blinken
Version: 24.05.1
Release:        %mkrel %{rel}
Summary:        Simon Says Game
Group:          Games/Puzzles
License:        GPLv2
URL:            https://apps.kde.org/blinken/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(Phonon4Qt6)

Requires:       sj-stevehand-fonts
Recommends:     blinken-handbook


%description
Blinken is the KDE version of the well-known game Simon Says.
Follow the pattern of sounds and lights as long as you can! Press the
start game button to begin. Watch the computer and copy the pattern it
makes. Complete the sequence in the right order to win.

%files -f %name.lang
%_kf6_bindir/blinken
%_kf6_metainfodir/org.kde.blinken.appdata.xml
%_kf6_applicationsdir/org.kde.blinken.desktop
%_kf6_datadir/blinken/
%_kf6_datadir/config.kcfg/blinken.kcfg
%_kf6_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package handbook
Summary:        Blinken handbook
Group:          Documentation
BuildArch:      noarch
Requires:       blinken >= %{version}-%{release}

%description handbook
This package provides blinken handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/blinken

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073121
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069712
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058521
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045065
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037566
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033698
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025038
- New version 24.01.85

* Tue Nov 21 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2008853
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989521
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958098
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946410
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941700
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922824
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911315
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905171
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886693
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880671
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1872988
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853882
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849388
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1845924
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763773
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1723975
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718270
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698467
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694007
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655529
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643915
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633720
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626973
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614837
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604037
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596768
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1585487
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568051
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559241
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540585
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513211
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466856
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457815
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446322
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424905
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390364
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387568
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381324
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375440
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365483
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356418
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339432
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332663
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327316
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1295507
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1228869
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201813
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194837
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186374
- New version 17.12.0

* Wed Aug 23 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1144023
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136661
- New version 17.07.90

* Tue Jul 25 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130841
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089992
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076727
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071944
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067261
- New version 16.08.3

* Tue Oct 18 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061813
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050587
- New version 16.08.1
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1039982
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012472
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004262
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997839
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991116
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987380
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922554
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911892
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905354
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901090
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890562
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880383
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865901
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863867
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861714
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859211
- New version 15.07.80
- New version 15.08.0

* Tue Jul 21 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 856004
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800534
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787616
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 749054
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734482
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 678174
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667420
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 662931
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656609
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653795
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652084
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636669
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625436
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615509
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609329
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606770
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603269
- New version 4.12.80

* Thu Mar 06 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 600608
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 590402
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580719
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554929
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551183
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540022
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490712
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476806
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465159
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458843
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455234
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447915
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435271
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428383
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407199
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401830
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394372
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 346917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339434
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334526
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326731
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320288
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316172
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301943
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289733
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277089
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269645
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265911
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257228
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 4.8.2-2.mga2
+ Revision: 232820
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228357
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221458
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198225
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190948
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 185984
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181863
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176347
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161071
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151926
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140619
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Add sj-stevehand-fonts as requires
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122321
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115409
- there is no need to push empty devel package
+ mikala <mikala>
- imported package blinken

